<?
/*
Автор: ViSmO84
Год: 2016
vk.com/vladkaptur
*/
if (isset($user))
{
	$day_bonus = date("d");
	if ($user['day_bonus'] != $day_bonus){
		$time_now = time();
	if ($user['time_bonus'] <= $time_now - 172800 || $user['date_bonus'] == 0){
		mysql_query("UPDATE  `user` SET  `date_bonus` =  '1' WHERE  `id` ='$user[id]'");
		}
		$user = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$user[id]' LIMIT 1"));
		$random_balls = mt_rand(50,300);  //Рандомное количество баллов 1-6 день, на седьмой день пользователь получает 2-10 монет
		echo "<div class='mess'>";
		echo "<font color='green'><b>Бонус за ежедневное посещение</b></font>";
		echo "<table><tr><td align='center' style='border:1px dotted;'>";
		if ($user['date_bonus'] == 1){
			echo "<font color='red'><b>День 1</b></font>";
		}else{
			echo "<font color='gray'>День 1</font>";
		}
		echo "</td><td align='center' style='border:1px dotted;'>";
				if ($user['date_bonus'] == 2){
			echo "<font color='red'><b>День 2</b></font>";
		}else{
			echo "<font color='gray'>День 2</font>";
		}
		echo "</td><td align='center' style='border:1px dotted;'>";
				if ($user['date_bonus'] == 3){
			echo "<font color='red'><b>День 3</b></font>";
		}else{
			echo "<font color='gray'>День 3</font>";
		}
		echo "</td><td align='center' style='border:1px dotted;'>";
				if ($user['date_bonus'] == 4){
			echo "<font color='red'><b>День 4</b></font>";
		}else{
			echo "<font color='gray'>День 4</font>";
		}
		echo "</td><td align='center' style='border:1px dotted;'>";
				if ($user['date_bonus'] == 5){
			echo "<font color='red'><b>День 5</b></font>";
		}else{
			echo "<font color='gray'>День 5</font>";
		}
		echo "</td><td align='center' style='border:1px dotted;'>";
				if ($user['date_bonus'] == 6){
			echo "<font color='red'><b>День 6</b></font>";
		}else{
			echo "<font color='gray'>День 6</font>";
		}
		echo "</td><td align='center' style='border:1px dotted;'>";
				if ($user['date_bonus'] == 7){
			echo "<font color='red'><b>День 7</b></font>";
			$random_money = mt_rand(2,10);
		}else{
			echo "<font color='gray'>День 7</font>";
			$random_money = false;
		}
		echo "</td></tr></table>";
		$date_bonus = $user['date_bonus'];
		echo "Поздравляем! Ваш выигрыш сегодня ";
		if ($random_money){
			echo "<font color='gold'><b>$random_money монет(ы)</b></font>";
			$user['money'] = $user['money']+$random_money;
			mysql_query("UPDATE  `user` SET `money` =  '$user[money]', `time_bonus` =  '$time_now', `date_bonus` = " .$date_bonus. "+1, `day_bonus` = '0' WHERE  `id` ='$user[id]'");
		}else{
			echo "<b>$random_balls баллов</b>";
			$user['balls'] = $user['balls']+$random_balls;
			mysql_query("UPDATE  `user` SET `balls` =  '$user[balls]', `time_bonus` =  '$time_now', `date_bonus` = " .$date_bonus. "+1, `day_bonus` = '$day_bonus' WHERE  `id` ='$user[id]'");
		}
		echo "!<br>Посещайте сайт <font color='green'>7 дней</font> подряд и получайте бонус в монетах (<font color='gold'><b>2-10</b></font>)!";
		echo "</div>";
	 if ($user['date_bonus'] >= 7){
		mysql_query("UPDATE  `user` SET  `date_bonus` =  '1' WHERE  `id` ='$user[id]'"); 
	 }
	}
}
?>